<div>
    <table>
        <thead>
            <th>Id:</th>
            <th>Film Id: </th>
            <th>Korisnik Id:</th>
            <th>Ocena:</th>
            <th>Komentar:</th>
        </thead>
        <tbody>
            <tr>
                <td>{{review.id}}</td>
                <td>{{review.filmId}}</td>
                <td>{{review.korisnikId}}</td>
                <td>{{review.ocena}}</td>
                <td>{{review.komentar}}</td>
            </tr>
        </tbody>
    </table>
</div>
<div>
    <form (ngSubmit)="editReview()" #editForm="ngForm">
        <h2>Dodaj novu ocenu</h2>
        <hr>
        <div>
            <label for="filmSlc">Film:</label>
            <select id="filmSlc" name="filmId" #filmId="ngModel" [(ngModel)]="editedReview.filmId" [ngClass]="{'invalid': filmId.invalid}" type="number" required>
                <option *ngFor="let f of allFilms" value="{{f.id}}" selected>{{f.naziv}}</option>
            </select>
        </div>
        <div>
            <label for="reziserInp">Korisnik:</label>
            <select id="korisnikSlc" name="korisnikId" #korisnikId="ngModel" [(ngModel)]="editedReview.korisnikId" [ngClass]="{'invalid': korisnikId.invalid}" type="number" required>
                <option *ngFor="let k of allUsers" value="{{k.id}}" selected>{{k.korisnickoIme}}</option>
            </select>
        </div>
        <div>
            <label for="ocenaInp">Ocena:</label>
            <input id="ocenaInp" name="ocena" #ocena="ngModel" [(ngModel)]="editedReview.ocena" [ngClass]="{'invalid': ocena.invalid}" type="number" min="0" max="5" required>
        </div>
        <div>
            <label for="komenatrArea">Komentar:</label>
            <textarea id="komentarArea" name="ocena" [(ngModel)]="editedReview.komentar"></textarea>
        </div>
        <div>
            <input [disabled]="filmId.invalid" [disabled]="korisnikId.invalid" [disabled]="ocena.invalid" type="submit" value="Dodaj">
        </div>
    </form>
</div>
<button (click)="backToReview(review.id)">Nazad</button>